package com.zzsn.modules.kgj.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zzsn.modules.kgj.entity.BasedataType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 刘凯歌
 * @description: TODO
 * @date 2020/9/28 9:26
 */
public interface BaseDataTypeMapper extends BaseMapper<BasedataType> {

    void save(BasedataType basedataType);

    void updateByExample(BasedataType basedataType);
    @DS("master")
    List<BasedataType> selectByBid(@Param("bid") Long bid);
}
